Pepper-flash-pulgin not working


#1

Hello, i need to run flash but the flash object on my page keeps telling me couldn’t load plugin
here is my main.js

const {app, BrowserWindow} = require('electron')
const path = require('path')

// Specify flash path, supposing it is placed in the same directory with main.js.
let pluginName
switch (process.platform) {
  case 'win32':
    pluginName = 'pepflashplayer32_22_0_0_209.dll'
    break
  case 'darwin':
    pluginName = 'PepperFlashPlayer.plugin'
    break
  case 'linux':
    pluginName = 'libpepflashplayer.so'
    break
}
app.commandLine.appendSwitch('ppapi-flash-path', path.join(__dirname, pluginName))

// Optional: Specify flash version, for example, v17.0.0.169
app.commandLine.appendSwitch('ppapi-flash-version', '22.0.0.209')
app.getPath('pepperFlashSystemPlugin')
app.on('ready', () => {
  let win = new BrowserWindow({
    width: 800,
    height: 600,
    webPreferences: {
      plugins: true
    }
  })
  win.loadURL(`file://${__dirname}/index.html`)
  win.toggleDevTools();
  // Something else
})

here is my package.json
{
“name”: “Flash player”,
“version”: “0.0.1”,
“description”: "description ",
“main”: “main.js”,
“scripts”: {
“start”: “electron .”
},
“keywords”: [
],
“author”: “JoAcademy”,
“license”: “MIT”,
“devDependencies”: {
“electron-prebuilt”: “^1.4.2”
}
}

here is my index.html


title

<webview width="100%" height="100%" src="http://www.adobe.com/software/flash/about/" plugins>
</webview>


</body>
</html>

and here are the files in my project including the pepper plugin


#2

This is an extension of your previous topic:

We like to unify similar discussions under one topic so that people don’t have to read a bunch of different threads to get the whole story. Please continue the discussion there. I’ll be closing this topic as duplicate.


#3

This topic was automatically closed after 12 hours. New replies are no longer allowed.